Bug 1554380 (CVE-2018-7999) - CVE-2018-7999 graphite2: NULL pointer dereference in Segment.cpp in libgraphite2
Summary: CVE-2018-7999 graphite2: NULL pointer dereference in Segment.cpp in libgraphite2
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2018-7999
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1554382 1554383
Blocks: 1554387
TreeView+ depends on / blocked
 
Reported: 2018-03-12 15:06 UTC by Laura Pardo
Modified: 2021-02-25 16:51 UTC (History)
7 users (show)

Fixed In Version: graphite2-1.3.13-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-15 06:38:56 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-03-12 15:06:10 UTC
A flaw was found in libgraphite2 in graphite2 1.3.11, a NULL pointer dereference vulnerability was found in Segment.cpp during a dumbRendering operation, which may allow attackers to cause a denial of service or possibly have unspecified other impact via a crafted .ttf file.


References:
https://github.com/silnrsi/graphite/issues/22

Upstream Patch:
https://github.com/silnrsi/graphite/commit/db132b4731a9b4c9534144ba3a18e65b390e9ff6

Comment 1 Laura Pardo 2018-03-12 15:07:19 UTC
Created graphite2 tracking bugs for this issue:

Affects: fedora-all [bug 1554383]


Note You need to log in before you can comment on or make changes to this bug.